Kerberos V5 Magic Numbers Error Codes
-------------------------------------

This is the Kerberos v5 magic numbers error code table.

  0. KV5M_NONE:  Kerberos V5 magic number table

  1. KV5M_PRINCIPAL:  Bad magic number for krb5_principal structure

  2. KV5M_DATA:  Bad magic number for krb5_data structure

  3. KV5M_KEYBLOCK:  Bad magic number for krb5_keyblock structure

  4. KV5M_CHECKSUM:  Bad magic number for krb5_checksum structure

  5. KV5M_ENCRYPT_BLOCK:  Bad magic number for krb5_encrypt_block
     structure

  6. KV5M_ENC_DATA:  Bad magic number for krb5_enc_data structure

  7. KV5M_CRYPTOSYSTEM_ENTRY:  Bad magic number for
     krb5_cryptosystem_entry structure

  8. KV5M_CS_TABLE_ENTRY:  Bad magic number for krb5_cs_table_entry
     structure

  9. KV5M_CHECKSUM_ENTRY:  Bad magic number for krb5_checksum_entry
     structure

 10. KV5M_AUTHDATA:  Bad magic number for krb5_authdata structure

 11. KV5M_TRANSITED:  Bad magic number for krb5_transited structure

 12. KV5M_ENC_TKT_PART:  Bad magic number for krb5_enc_tkt_part
     structure

 13. KV5M_TICKET:  Bad magic number for krb5_ticket structure

 14. KV5M_AUTHENTICATOR:  Bad magic number for krb5_authenticator
     structure

 15. KV5M_TKT_AUTHENT:  Bad magic number for krb5_tkt_authent structure

 16. KV5M_CREDS:  Bad magic number for krb5_creds structure

 17. KV5M_LAST_REQ_ENTRY:  Bad magic number for krb5_last_req_entry
     structure

 18. KV5M_PA_DATA:  Bad magic number for krb5_pa_data structure

 19. KV5M_KDC_REQ:  Bad magic number for krb5_kdc_req structure

 20. KV5M_ENC_KDC_REP_PART:  Bad magic number for
     krb5_enc_kdc_rep_part structure

 21. KV5M_KDC_REP:  Bad magic number for krb5_kdc_rep structure

 22. KV5M_ERROR:  Bad magic number for krb5_error structure

 23. KV5M_AP_REQ:  Bad magic number for krb5_ap_req structure

 24. KV5M_AP_REP:  Bad magic number for krb5_ap_rep structure

 25. KV5M_AP_REP_ENC_PART:  Bad magic number for
     krb5_ap_rep_enc_part structure

 26. KV5M_RESPONSE:  Bad magic number for krb5_response structure

 27. KV5M_SAFE:  Bad magic number for krb5_safe structure

 28. KV5M_PRIV:  Bad magic number for krb5_priv structure

 29. KV5M_PRIV_ENC_PART:  Bad magic number for krb5_priv_enc_part
     structure

 30. KV5M_CRED:  Bad magic number for krb5_cred structure

 31. KV5M_CRED_INFO:  Bad magic number for krb5_cred_info structure

 32. KV5M_CRED_ENC_PART:  Bad magic number for krb5_cred_enc_part
     structure

 33. KV5M_PWD_DATA:  Bad magic number for krb5_pwd_data structure

 34. KV5M_ADDRESS:  Bad magic number for krb5_address structure

 35. KV5M_KEYTAB_ENTRY:  Bad magic number for krb5_keytab_entry
     structure

 36. KV5M_CONTEXT:  Bad magic number for krb5_context structure

 37. KV5M_OS_CONTEXT:  Bad magic number for krb5_os_context structure

 38. KV5M_ALT_METHOD:  Bad magic number for krb5_alt_method structure

 39. KV5M_ETYPE_INFO_ENTRY:  Bad magic number for
     krb5_etype_info_entry structure

 40. KV5M_DB_CONTEXT:  Bad magic number for krb5_db_context structure

 41. KV5M_AUTH_CONTEXT:  Bad magic number for krb5_auth_context
     structure

 42. KV5M_KEYTAB:  Bad magic number for krb5_keytab structure

 43. KV5M_RCACHE:  Bad magic number for krb5_rcache structure

 44. KV5M_CCACHE:  Bad magic number for krb5_ccache structure

 45. KV5M_PREAUTH_OPS:  Bad magic number for krb5_preauth_ops

 46. KV5M_SAM_CHALLENGE:  Bad magic number for krb5_sam_challenge

 47. KV5M_SAM_KEY:  Bad magic number for krb5_sam_key

 48. KV5M_ENC_SAM_RESPONSE_ENC:  Bad magic number for
     krb5_enc_sam_response_enc

 49. KV5M_SAM_RESPONSE:  Bad magic number for krb5_sam_response

 50. KV5M_PREDICTED_SAM_RESPONSE:  Bad magic number for
     krb5_predicted_sam_response

 51. KV5M_PASSWD_PHRASE_ELEMENT:  Bad magic number for
     passwd_phrase_element

 52. KV5M_GSS_OID: Bad magic number for GSSAPI OID

 53. KV5M_GSS_QUEUE: Bad magic number for GSSAPI QUEUE

ASN.1 Error Codes
-----------------

  0. ASN1_BAD_TIMEFORMAT:  ASN.1 failed call to system time library

  1. ASN1_MISSING_FIELD:  ASN.1 structure is missing a required field

  2. ASN1_MISPLACED_FIELD:  ASN.1 unexpected field number

  3. ASN1_TYPE_MISMATCH:  ASN.1 type numbers are inconsistent

  4. ASN1_OVERFLOW:  ASN.1 value too large

  5. ASN1_OVERRUN:  ASN.1 encoding ended unexpectedly

  6. ASN1_BAD_ID:  ASN.1 identifier doesn't match expected value

  7. ASN1_BAD_LENGTH:  ASN.1 length doesn't match expected value

  8. ASN1_BAD_FORMAT:  ASN.1 badly-formatted encoding

  9. ASN1_PARSE_ERROR:  ASN.1 parse error

 10. ASN1_BAD_GMTIME: ASN.1 bad return from gmtime

 11. ASN1_MISMATCH_INDEF: ASN.1 non-constructed indefinite encoding

 12. ASN1_MISSING_EOC: ASN.1 missing expected EOC

GSSAPI Error Codes
------------------

Generic GSSAPI Errors:

  0. G_BAD_SERVICE_NAME:  No  in SERVICE-NAME name string

  1. G_BAD_STRING_UID: STRING-UID-NAME contains nondigits

  2. G_NOUSER:  UID does not resolve to username

  3. G_VALIDATE_FAILED:  Validation error

  4. G_BUFFER_ALLOC:  Couldn't allocate gss_buffer_t data

  5. G_BAD_MSG_CTX:  Message context invalid

  6. G_WRONG_SIZE:  Buffer is the wrong size

  7. G_BAD_USAGE:  Credential usage type is unknown

  8. G_UNKNOWN_QOP:  Unknown quality of protection specified

  9. G_BAD_HOSTNAME:  Hostname in SERVICE-NAME string could not be
     canonicalized

 10. G_WRONG_MECH: Mechanism is incorrect

 11. G_BAD_TOK_HEADER: Token header is malformed or corrupt

 12. G_BAD_DIRECTION: Packet was replayed in wrong direction

 13. G_TOK_TRUNC: Token is missing data

 14. G_REFLECT: Token was reflected

 15. G_WRONG_TOKID: Received token ID does not match expected token ID

Kerberos 5 GSSAPI Errors:

  0. KG_CCACHE_NOMATCH:  Principal in credential cache does not match
     desired name

  1. KG_KEYTAB_NOMATCH:  No principal in keytab matches desired name

  2. KG_TGT_MISSING:  Credential cache has no TGT

  3. KG_NO_SUBKEY:  Authenticator has no subkey

  4. KG_CONTEXT_ESTABLISHED:  Context is already fully established

  5. KG_BAD_SIGN_TYPE:  Unknown signature type in token

  6. KG_BAD_LENGTH:  Invalid field length in token

  7. KG_CTX_INCOMPLETE:  Attempt to use incomplete security context

  8. KG_CONTEXT:  Bad magic number for krb5_gss_ctx_id_t

  9. KG_CRED:  Bad magic number for krb5_gss_cred_id_t

 10. KG_ENC_DESC:  Bad magic number for krb5_gss_enc_desc

 11. KG_BAD_SEQ: Sequence number in token is corrupt

 12. KG_EMPTY_CCACHE: Credential cache is empty

 13. KG_NO_CTYPES: Acceptor and Initiator share no checksum types

kadmin Time Zones
=================

This is a complete listing of the time zones recognized by the `kadmin'
command.

gmt
     Greenwich Mean Time

ut, utc
     Universal Time (Coordinated).

wet
     Western European Time.  (Same as GMT.)

bst
     British Summer Time.  (1 hour ahead of GMT.)

wat
     West Africa Time.  (1 hour behind GMT.)

at
     Azores Time.  (2 hours behind GMT.)

bst
     Brazil Standard Time.  (3 hours behind GMT.)  Note that the
     abbreviation BST also stands for British Summer Time.

gst
     Greenland Standard Time.  (3 hours behind GMT.)  Note that the
     abbreviation GST also stands for Guam Standard Time.

nft
     Newfoundland Time.  (3.5 hours behind GMT.)

nst
     Newfoundland Standard Time.  (3.5 hours behind GMT.)

ndt
     Newfoundland Daylight Time.  (2.5 hours behind GMT.)

ast
     Atlantic Standard Time.  (4 hours behind GMT.)

adt
     Atlantic Daylight Time.  (3 hours behind GMT.)

est
     Eastern Standard Time.  (5 hours behind GMT.)

edt
     Eastern Daylight Time.  (4 hours behind GMT.)

cst
     Central Standard Time.  (6 hours behind GMT.)

cdt
     Central Daylight Time.  (5 hours behind GMT.)

mst
     Mountain Standard Time.  (7 hours behind GMT.)

mdt
     Mountain Daylight Time.  (6 hours behind GMT.)

pst
     Pacific Standard Time.  (8 hours behind GMT.)

pdt
     Pacific Daylight Time.  (7 hours behind GMT.)

yst
     Yukon Standard Time.  (9 hours behind GMT.)

ydt
     Yukon Daylight Time.  (8 hours behind GMT.)

hst
     Hawaii Standard Time.  (10 hours behind GMT.)

hdt
     Hawaii Daylight Time.  (9 hours behind GMT.)

cat
     Central Alaska Time.  (10 hours behind GMT.)

ahst
     Alaska-Hawaii Standard Time.  (10 hours behind GMT.)

nt
     Nome Time.  (11 hours behind GMT.)

idlw
     International Date Line West Time.  (12 hours behind GMT.)

cet
     Central European Time.  (1 hour ahead of GMT.)

met
     Middle European Time.  (1 hour ahead of GMT.)

mewt
     Middle European Winter Time.  (1 hour ahead of GMT.)

mest
     Middle European Summer Time.  (2 hours ahead of GMT.)

swt
     Swedish Winter Time.  (1 hour ahead of GMT.)

sst
     Swedish Summer Time.  (1 hours ahead of GMT.)

fwt
     French Winter Time.  (1 hour ahead of GMT.)

fst
     French Summer Time.  (2 hours ahead of GMT.)

eet
     Eastern Europe Time; Russia Zone 1.  (2 hours ahead of GMT.)

bt
     Baghdad Time; Russia Zone 2.  (3 hours ahead of GMT.)

it
     Iran Time.  (3.5 hours ahead of GMT.)

zp4
     Russia Zone 3.  (4 hours ahead of GMT.)

zp5
     Russia Zone 4.  (5 hours ahead of GMT.)

ist
     Indian Standard Time.  (5.5 hours ahead of GMT.)

zp6
     Russia Zone 5.  (6 hours ahead of GMT.)

nst
     North Sumatra Time.  (6.5 hours ahead of GMT.)  Note that the
     abbreviation NST is also used for Newfoundland Stanard Time.

sst
     South Sumatra Time; Russia Zone 6.  (7 hours ahead of GMT.)  Note
     that SST is also Swedish Summer Time.

wast
     West Australian Standard Time.  (7 hours ahead of GMT.)

wadt
     West Australian Daylight Time.  (8 hours ahead of GMT.)

jt
     Java Time.  (7.5 hours ahead of GMT.)

cct
     China Coast Time; Russia Zone 7.  (8 hours ahead of GMT.)

jst
     Japan Standard time; Russia Zone 8.  (9 hours ahead of GMT.)

kst
     Korean Standard Time.  (9 hours ahead of GMT.)

cast
     Central Australian Standard Time.  (9.5 hours ahead of GMT.)

cadt
     Central Australian Daylight Time.  (10.5 hours ahead of GMT.)

east
     Eastern Australian Standard Time.  (10 hours ahead of GMT.)

eadt
     Eastern Australian Daylight Time.  (11 hours ahead of GMT.)

gst
     Guam Standard Time; Russia Zone 9.  (10 hours ahead of GMT.)

kdt
     Korean Daylight Time.  (10 hours ahead of GMT.)

nzt
     New Zealand Time.  (12 hours ahead of GMT.)

nzst
     New Zealand Standard Time.  (12 hours ahead of GMT.)

nzdt
     New Zealand Daylight Time.  (13 hours ahead of GMT.)

idle
     International Date Line East.  (12 hours ahead of GMT.)